Update an OAuth2/OpenID client application
put
Authorizations
defguard_sessionstringRequired
Path parameters
client_idstringRequired
ID of the OAuth2 client.
Body
enabledbooleanRequired
namestringRequired
redirect_uristring[]Required
scopestring[]Required
Responses
200
OAuth2 client updated.
No content
400
Invalid client name.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
OAuth2 client not found.
500
Unable to update OAuth2 client.
application/json
put/api/v1/oauth/{client_id}
PUT /api/v1/oauth/{client_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 71
{
"enabled": true,
"name": "text",
"redirect_uri": [
"text"
],
"scope": [
"text"
]
}No content
PreviousEnable or disable an OAuth2/OpenID client application
NextDelete an OAuth2/OpenID client application
Last updated
Was this helpful?